<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= link_to({ action: 'show', project_id: @project, repo_path: nil, rev: @rev },
            { title: I18n.t(:label_repository_root) }) do %>
  <%= op_icon('icon-home repository-breadcrumbs--home') %>
<% end %>
<%
dirs = path.split('/')
link_path = ''
dirs.each_with_index do |dir, index|
    next if dir.blank?
    link_path << '/' unless link_path.empty?
    link_path << "#{dir}"
    %>
    <span class="repository-breadcrumbs--sep"></span>
      <% if index == dirs.size - 1 %>
        <strong><%= h(dir) %></strong>
      <% else %>
        <%= link_to h(dir), action: 'show', project_id: @project,
                            repo_path: to_path_param(link_path), rev: @rev %>
      <% end %>
<% end %>
<%
  # @rev is revision or git branch or tag.
  rev_text = @changeset.nil? ? @rev : format_revision(@changeset)
%>
<span class="repository-bradcrumbs--identifier">
  <%= "(#{t('repositories.at_identifier', identifier: rev_text)})" if rev_text.present? %>
</span>

<% html_title(h(with_leading_slash(path))) -%>
